
Foreman - Bug #8840

LDAP Usergroup Refresh fails when User CN contains escaped characters

01/06/2015 05:55 AM - Frank Grötzner

Status: Closed   

Priority: Normal   

Assignee:    

Category: Authentication   

Target version: 1.10.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hi,

if you try to sync an Usergroup from ActiveDirectory, that has a member with an character that needs escaping (like a comma, not

unusal e.g. in "surname, name" style naming), the sync will fail. I use Foreman 1.7.1 on RHEL 7.

Please don't hesitate to ask, if you need more information.

Best regrads,

Frank

Related issues:

Has duplicate Foreman - Bug #12167: LDAP Group sync fails with UIDNotFoundExc... Duplicate 10/15/2015

Has duplicate Foreman - Bug #10126: External Group Refresh Fails Duplicate 04/13/2015

History

#1 - 01/06/2015 05:59 AM - Dominic Cleal

- Category changed from Users, Roles and Permissions to Authentication

Related: https://github.com/theforeman/ldap_fluff/pull/38

#2 - 10/20/2015 08:09 AM - Dominic Cleal

- Has duplicate Bug #12167: LDAP Group sync fails with UIDNotFoundException added

#3 - 11/20/2015 10:40 AM - Dominic Cleal

- Status changed from New to Closed

- % Done changed from 0 to 100

- translation missing: en.field_release set to 104

Fixed in ldap_fluff 0.4.0 (https://github.com/theforeman/ldap_fluff/pull/46).

#4 - 11/20/2015 10:40 AM - Dominic Cleal

- Has duplicate Bug #10126: External Group Refresh Fails added
